<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatePacientTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('pacient', function (Blueprint $table) {
            $table->bigIncrements('ID');
            $table->string('Name');
            $table->string('ParentName');
            $table->string('LastName');
            $table->bigIncrements('PersonalNr');
            $table->char('Gender');
            $table->date('BirthDate');
            $table->string('Address');
            $table->bigIncrements('CityID');
            $table->bigIncrements('Tel1');
            $table->string('Email');
            $table->string('SocialNumber');
            $table->longText('Comment');            
            $table->timestamps();
        });
    }


    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('pacient');
    }
}
